Deploy a managed database instance
POST
/api/databases/managed
const url = 'https://gateway.example.com/api/databases/managed';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"postgres","version":"example","nodeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","storageSizeGb":1,"cpuCores":1,"memoryMb":1,"swapMb":0,"tags":["example"],"publishTcp":false,"publishNativeTcp":true,"publishedPort":1,"publishedNativePort":1,"tlsEnabled":true,"databaseName":"example","ownerUsername":"example","clickhouseConfigXml":"example","redisConfig":{"maxmemoryPercent":1,"maxmemoryPolicy":"noeviction","appendOnly":true,"appendFsync":"always","rdbSnapshotsEnabled":true,"rdbSaveSeconds":1,"rdbSaveChanges":1,"autoAofRewritePercentage":1,"autoAofRewriteMinSizeMb":1,"maxclients":1,"timeoutSeconds":1,"tcpKeepaliveSeconds":1,"slowlogThresholdMicroseconds":1,"slowlogMaxLen":1,"activeDefrag":true}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.example.com/api/databases/managed \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "postgres", "version": "example", "nodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "storageSizeGb": 1, "cpuCores": 1, "memoryMb": 1, "swapMb": 0, "tags": [ "example" ], "publishTcp": false, "publishNativeTcp": true, "publishedPort": 1, "publishedNativePort": 1, "tlsEnabled": true, "databaseName": "example", "ownerUsername": "example", "clickhouseConfigXml": "example", "redisConfig": { "maxmemoryPercent": 1, "maxmemoryPolicy": "noeviction", "appendOnly": true, "appendFsync": "always", "rdbSnapshotsEnabled": true, "rdbSaveSeconds": 1, "rdbSaveChanges": 1, "autoAofRewritePercentage": 1, "autoAofRewriteMinSizeMb": 1, "maxclients": 1, "timeoutSeconds": 1, "tcpKeepaliveSeconds": 1, "slowlogThresholdMicroseconds": 1, "slowlogMaxLen": 1, "activeDefrag": true } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
name
required
string
type
required
string
version
required
string
nodeId
required
string format: uuid
storageSizeGb
required
number
cpuCores
required
number
memoryMb
required
integer
swapMb
integer
tags
Array<string>
publishTcp
boolean
publishNativeTcp
boolean
publishedPort
integer
publishedNativePort
integer
tlsEnabled
boolean
databaseName
string
ownerUsername
string
clickhouseConfigXml
string
redisConfig
object
maxmemoryPercent
required
integer
maxmemoryPolicy
required
string
appendOnly
required
boolean
appendFsync
required
string
rdbSnapshotsEnabled
required
boolean
rdbSaveSeconds
required
integer
rdbSaveChanges
required
integer
autoAofRewritePercentage
required
integer
autoAofRewriteMinSizeMb
required
integer
maxclients
required
integer
timeoutSeconds
required
integer
tcpKeepaliveSeconds
required
integer
slowlogThresholdMicroseconds
required
integer
slowlogMaxLen
required
integer
activeDefrag
required
boolean
Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Production Postgres", "type": "postgres", "healthStatus": "online" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}